GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
gdcm::SurfaceReader Class Reference

This class defines a SURFACE IE reader. It reads surface mesh module attributes. More...

`#include <gdcmSurfaceReader.h>`

Inheritance diagram for gdcm::SurfaceReader:
[legend]
Collaboration diagram for gdcm::SurfaceReader:
[legend]

List of all members.

## Public Member Functions

| SurfaceReader ()
virtual | ~SurfaceReader ()
unsigned long | GetNumberOfSurfaces () const
virtual bool | Read ()
| Read.

## Protected Member Functions

bool | ReadPointMacro (SmartPointer< Surface > surface, const DataSet &surfaceDS)
bool | ReadSurface (const Item &surfaceItem, const unsigned long idx)
bool | ReadSurfaces ()

## Detailed Description

This class defines a SURFACE IE reader. It reads surface mesh module attributes.

See also:
  PS 3.3 A.1.2.18 , A.57 and C.27

## Constructor & Destructor Documentation

gdcm::SurfaceReader::SurfaceReader | ( |  | ) |

virtual gdcm::SurfaceReader::~SurfaceReader | ( |  | ) | `[virtual]`

## Member Function Documentation

unsigned long gdcm::SurfaceReader::GetNumberOfSurfaces | ( |  | ) | const

virtual bool gdcm::SurfaceReader::Read | ( |  | ) | `[virtual]`

Read.

Reimplemented from gdcm::SegmentReader.

bool gdcm::SurfaceReader::ReadPointMacro | ( | SmartPointer< Surface > | surface,
|  | const DataSet & | surfaceDS
| ) |  | `[protected]`

bool gdcm::SurfaceReader::ReadSurface | ( | const Item & | surfaceItem,
|  | const unsigned long | idx
| ) |  | `[protected]`

bool gdcm::SurfaceReader::ReadSurfaces | ( |  | ) | `[protected]`

The documentation for this class was generated from the following file:

- gdcmSurfaceReader.h